com.ziclix.python.sql

## Class JDBC20DataHandler

- java.lang.Object
- - com.ziclix.python.sql.DataHandler
  - - com.ziclix.python.sql.FilterDataHandler
    - - com.ziclix.python.sql.JDBC20DataHandler

    public class JDBC20DataHandler
    extends FilterDataHandler

Support for JDBC 2.x type mappings, including Arrays, CLOBs and BLOBs.

Author:
  brian zimmer

### Constructor Summary

Constructors
Constructor and Description
`JDBC20DataHandler(DataHandler datahandler)` Handle JDBC 2.0 datatypes.

### Method Summary

Methods
`PyObject` `getPyObject(ResultSet set, int col, int type)` Get the object from the result set.
`void` `setJDBCObject(PreparedStatement stmt, int index, PyObject object, int type)` Handle CLOBs and BLOBs.

### Methods inherited from class com.ziclix.python.sql.FilterDataHandler

`__chain__, getRowId, postExecute, preExecute, setJDBCObject`

### Methods inherited from class com.ziclix.python.sql.DataHandler

`checkNull, getMetaDataName, getProcedure, getPyObject, getSystemDataHandler, read, read, registerOut, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### JDBC20DataHandler

    public JDBC20DataHandler(DataHandler datahandler)

Handle JDBC 2.0 datatypes.

### Method Detail

#### setJDBCObject

    public void setJDBCObject(PreparedStatement stmt,
                     int index,
                     PyObject object,
                     int type)
                       throws SQLException

Handle CLOBs and BLOBs.

Overrides:
  `setJDBCObject` in class `FilterDataHandler`
Parameters:
  `stmt` -
  `index` -
  `object` -
  `type` -
Throws:
  `SQLException`

#### getPyObject

    public PyObject getPyObject(ResultSet set,
                       int col,
                       int type)
                         throws SQLException

Get the object from the result set.

Overrides:
  `getPyObject` in class `FilterDataHandler`
Parameters:
  `set` -
  `col` -
  `type` -
Returns:
  a Python object
Throws:
  `SQLException`